# Class CIM_UnixProcessStatisticalInformation
extends CIM_StatisticalInformation

The statistics associated with a Unix process.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_UnixProcessStatisticalInformation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The statistics associated with a Unix process.
UMLPackagePath | string | CIM::System::Unix
Version | string | 2.17.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CPUTime | uint32 |
Description | string | The percentage of a CPU's time this process is consuming.
MappingStrings | string | MIF.DMTF|Process Information|001.12
PUnit | string | percent
Units | string | Percent
CpuTimeDeadChildren | uint64 |
Counter | boolean | true
Description | string | CPU time of terminated child processes in clock ticks.
PUnit | string | count
Units | string | Clock Ticks
CSCreationClassName | string |
Description | string | The scoping Process's ComputerSystem CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.CSCreationClassName
CSName | string |
Description | string | The scoping Process's ComputerSystem Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.CSName
Handle | string |
Description | string | The scoping Process's Handle.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.Handle
Name | string |
Description | string | A string used to identify the related statistics of a Process. This key allows multiple instances of statistics to correspond to a single process. The multiple instances could be used in applications such as time-sliced statistics.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
OSCreationClassName | string |
Description | string | The scoping Process's OperatingSystem CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.OSCreationClassName
OSName | string |
Description | string | The scoping Process's OperatingSystem Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.OSName
ProcessCreationClassName | string |
Description | string | The scoping Process's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Process.CreationClassName
RealData | uint64 |
Description | string | The number of KiloBytes of real data space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.16
PUnit | string | byte * 2^10
Units | string | KiloBytes
RealStack | uint64 |
Description | string | The number of KiloBytes of real stack space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.17
PUnit | string | byte * 2^10
Units | string | KiloBytes
RealText | uint64 |
Description | string | The number of KiloBytes of real text space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.15
PUnit | string | byte * 2^10
Units | string | KiloBytes
SystemTimeDeadChildren | uint64 |
Counter | boolean | true
Description | string | System time of terminated child processes in clock ticks.
PUnit | string | count
Units | string | Clock Ticks
VirtualData | uint64 |
Description | string | The number of KiloBytes of virtual data space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.19
PUnit | string | byte * 2^10
Units | string | KiloBytes
VirtualMemoryMappedFileSize | uint64 |
Description | string | The number of KiloBytes of virtual space used for memory mapped files by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.22
PUnit | string | byte * 2^10
Units | string | KiloBytes
VirtualSharedMemory | uint64 |
Description | string | The number of KiloBytes of shared memory used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.21
PUnit | string | byte * 2^10
Units | string | KiloBytes
VirtualStack | uint64 |
Description | string | The number of KiloBytes of virtual stack space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.20
PUnit | string | byte * 2^10
Units | string | KiloBytes
VirtualText | uint64 |
Description | string | The number of KiloBytes of virtual text space used by the process.
MappingStrings | string | MIF.DMTF|Process Information|001.18
PUnit | string | byte * 2^10
Units | string | KiloBytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods